<template>
    <div>
        <div class="container-service">
        <img :src="service.logo" class="logo" alt="">
        <div class="description">
            <p>{{ service.description }}</p>
            <img src="../assets/img/savoir-plus.svg" alt="" @click="triggerPop()">
        </div>
        <div class="tarif">
            <div class="container-tarif">
                <p>TARIF</p>
            </div>
            <div class="container-price">
                <p>
                    <span>{{ service.tarif }}</span>€ / h
                </p>
            </div>
        </div>
        </div>
        <PopUp :savoirPlus="service.savoir" v-if="showPopUp" v-bind:showPopUp="showPopUp" v-bind:triggerPop="triggerPop"/>
    </div>


</template>

<script>

import PopUp from "./PopUp.vue"

export default {
    name: "CardService",
    components:{
        PopUp
    },
    props:{
        service: Object,
    },
    data(){
        return{
            showPopUp : false
        }
    },
    methods:{
        triggerPop(){
            this.showPopUp = !this.showPopUp
        }
    }
}
</script>

<style lang="scss" scoped>

@import "../style/default";

*{
    margin: 0;
}

.container-service{

    border: 1px solid black;

    display: flex;

    justify-content: space-between;

    align-items: center;

    margin-left: 10%;
    margin-right: 10%;

    width: 80%;

    margin-top: 3%;
    margin-bottom: 3%;

    .logo{
        width: 50px;

        padding: 3%;
    }

    .description{
        width: 50%;

        img{
            width: 20px;
            cursor: pointer;

            transition: transform .5s;

            margin-top: 2.5%;

            &:hover{
                transform: rotate(90deg);
            }
        }
    }

    .tarif{

        position: relative;

        margin-right: 2%;

        font-family: $default-font;

        width: 10%;

        .container-tarif{

            z-index: 1;

            background-color: $background-green;
            color: white;
            letter-spacing: 2px;
            font-size: 1.4em;
            font-weight: 500;

            transition: width .5s, opacity .8s;

            width: 100%;
        }

        .container-price{
            position: absolute;

            text-align: center;

            width: 100%;

            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            z-index: -1;

            opacity: 0;

            transition: opacity 2s;

        }

        &:hover .container-tarif {
            width: 0%;
            opacity: 0;
        }

        &:hover .container-price{
            opacity: 1;
        }

    }
}

</style>